# NewGamePhysics.Networking.InfoLink Class Reference

Class encapsulating an info link, a labeled URL. More...

List of all members.

## Public Member Functions
| InfoLink ()
| Parameterless constructor.
| InfoLink (string category, string subCategory, string title, Uri uri)
| Create info link object.
override string | ToString ()
| Returns string representation of info link.
## Public Attributes
string | Category
| The category for this InfoLink.
string | SubCategory
| The category for this InfoLink.
string | Title
| The title of the InfoLink.
SerializableUri | Uri
| The URL of this InfoLink.

## Detailed Description

Class encapsulating an info link, a labeled URL.

Definition at line 15 of file InfoLink.cs.

## Constructor & Destructor Documentation

NewGamePhysics.Networking.InfoLink.InfoLink | ( |  | ) |

Parameterless constructor.

Definition at line 40 of file InfoLink.cs.

    00041         {
    00042             this.Category = string.Empty;
    00043             this.SubCategory = string.Empty;
    00044             this.Title = string.Empty;
    00045             this.Uri = null;
    00046         }

NewGamePhysics.Networking.InfoLink.InfoLink | ( | string | category,
|  | string | subCategory,
|  | string | title,
|  | Uri | uri |
| ) |  |  |

Create info link object.

Parameters:

  | category | The category.
  | subCategory | The sub category.
  | title | The title/name.
  | uri | The URL to point to.

Definition at line 55 of file InfoLink.cs.

    00056         {
    00057             this.Category = category;
    00058             this.SubCategory = subCategory;
    00059             this.Title = title;
    00060             this.Uri = uri;
    00061         }

## Member Function Documentation

override string NewGamePhysics.Networking.InfoLink.ToString | ( |  | ) |

Returns string representation of info link.

Returns:

Definition at line 67 of file InfoLink.cs.

    00068         {
    00069             return string.Format("Category:{0} Subcategory:{1} Title:{2} Url:{3}",
    00070                 this.Category,
    00071                 this.SubCategory,
    00072                 this.Title,
    00073                 this.Uri.ToString());
    00074         }

## Member Data Documentation

string NewGamePhysics.Networking.InfoLink.Category

The category for this InfoLink.

Definition at line 20 of file InfoLink.cs.

string NewGamePhysics.Networking.InfoLink.SubCategory

The category for this InfoLink.

Definition at line 25 of file InfoLink.cs.

string NewGamePhysics.Networking.InfoLink.Title

The title of the InfoLink.

Definition at line 30 of file InfoLink.cs.

SerializableUri NewGamePhysics.Networking.InfoLink.Uri

The URL of this InfoLink.

Definition at line 35 of file InfoLink.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Networking/InfoLink.cs